Package org.apache.commons.imaging.formats.tiff.write

# Class TiffOutputField

java.lang.Object
org.apache.commons.imaging.formats.tiff.write.TiffOutputField

public class TiffOutputField extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final AbstractFieldType`
  `abstractFieldType`
  `final int`
  `count`
  `final int`
  `tag`
  `final TagInfo`
  `tagInfo`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TiffOutputField(int tag, TagInfo tagInfo, AbstractFieldType abstractFieldType, int count, byte[] bytes)`
  `TiffOutputField(TagInfo tagInfo, AbstractFieldType abstractFieldType, int count, byte[] bytes)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected static TiffOutputField`
  `createOffsetField(TagInfo tagInfo, ByteOrder byteOrder)`
  `byte[]`
  `getData()`
  Return a copy of the data in this TIFF output field.
  `protected org.apache.commons.imaging.formats.tiff.write.AbstractTiffOutputItem`
  `getSeperateValue()`
  `int`
  `getSortHint()`
  `protected final boolean`
  `isLocalValue()`
  `void`
  `setData(byte[] bytes)`
  Set the data for this TIFF output field.
  `void`
  `setSortHint(int sortHint)`
  `String`
  `toString()`
  `String`
  `toString(String prefix)`
  `protected void`
  `writeField(AbstractBinaryOutputStream bos)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### tag

    public final int tag

  - ### tagInfo

    public final TagInfo tagInfo

  - ### abstractFieldType

    public final AbstractFieldType abstractFieldType

  - ### count

    public final int count

- ## Constructor Details

  - ### TiffOutputField

    public TiffOutputField(int tag, TagInfo tagInfo, AbstractFieldType abstractFieldType, int count, byte[] bytes)

  - ### TiffOutputField

    public TiffOutputField(TagInfo tagInfo, AbstractFieldType abstractFieldType, int count, byte[] bytes)

- ## Method Details

  - ### createOffsetField

    protected static TiffOutputField createOffsetField(TagInfo tagInfo, ByteOrder byteOrder) throws ImagingException
    Throws:
      `ImagingException`

  - ### getData

    public byte[] getData()
    Return a copy of the data in this TIFF output field.
    Returns:
      a copy of the data in this TIFF output field.

  - ### getSeperateValue

    protected org.apache.commons.imaging.formats.tiff.write.AbstractTiffOutputItem getSeperateValue()

  - ### getSortHint

    public int getSortHint()

  - ### isLocalValue

    protected final boolean isLocalValue()

  - ### setData

    public void setData(byte[] bytes) throws ImagingException
    Set the data for this TIFF output field.
    Parameters:
      `bytes` - TIFF output field data.
    Throws:
      `ImagingException` - if the length of the bytes array do not match.

  - ### setSortHint

    public void setSortHint(int sortHint)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### toString

    public String toString(String prefix)

  - ### writeField

    protected void writeField(AbstractBinaryOutputStream bos) throws IOException, ImagingException
    Throws:
      `IOException`
      `ImagingException`